# Global Feed

![](/files/-MX6y6iCw6WJrdpAP5gP)

### Features

| Feature     | Description                                                    |
| ----------- | -------------------------------------------------------------- |
| Global feed | Scroll vertically to see a list of posts from the global feed. |

### Usage

**Create a Fragment**

You can use either of these two methods:&#x20;

1. `build` - the posts will be ranked in chronological order. \
   \
   Below is the sample code.

   ```swift
   AmityGlobalFeedFragment.newInstance().build()
   ```

2. `<newCustomPostRankingmethod>` - the posts will be ranked according to a score-sorting mechanism. Refer to [Custom Post Ranking](broken://pages/437F2H9f9qpdVdBoPTSC) for more information about this feature.\
   \
   You can retrieve your global feed sorted by ranking score with this code.

   ```swift
   let viewController = AmityGlobalFeedViewController.makeCustomPostRanking()
   ```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.social.plus/social-plus-uikit/uikit-3/android/community/using-only-some-components/community-home-page/newsfeed/global-feed.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
